selinux-basics (0.6.0) unstable; urgency=medium

  * Made selinux-activate work with the default config of uboot on Mobian
  * Changes Laurent committed to git:
  * debian/control: Add Rules-Requires-Root: no
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)

 -- Russell Coker <russell@coker.com.au>  Mon, 07 Apr 2025 17:54:00 +1000

selinux-basics (0.5.9) unstable; urgency=medium

  * Make selinux-config-enforcing set the mode of /etc/selinux/config
    Closes: #1042838
  * For check-selinux-installation put in an explanation for the Postfix sync
    chroot error
    Made it support the u-boot-config for extlinux on Mobian Closes: #757421

 -- Russell Coker <russell@coker.com.au>  Thu, 24 Aug 2023 20:52:31 +1000

selinux-basics (0.5.8) unstable; urgency=medium

  * Recommend and depend on latest versions of all the packages.

 -- Russell Coker <russell@coker.com.au>  Thu, 31 Dec 2020 14:10:48 +1100

selinux-basics (0.5.7) unstable; urgency=medium

  * debian/control: Update the Vcs-* and point to salsa
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/control: Bump debhelper compatibility version to 12
  * debian/control: Drop unnecessary X-Python3-Version field
  * debian/copyright: Update the copyright and switch to dep5
  * tests/24_fsckfix.py: Do not fail the test if /etc/default/rcS is not
    present, this is optional now (Closes: #860522)
  * debian/control: Add myself to the Uploaders list

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jan 2020 13:02:00 +0100

selinux-basics (0.5.6) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/gbp.conf: Sign tags by default
  [ Russell Coker ]
  * Make postfix-nochroot remove rsyslog socket. Closes: #504412
  * selinux-activate now doesn't add selinux=1 as it hasn't been supported by
    kernels for years. Fixed a regex bug that made it not remove
    security=selinux if there was no preceding space.

 -- Russell Coker <russell@coker.com.au>  Wed, 14 Dec 2016 10:01:32 +1100

selinux-basics (0.5.4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Thu, 19 Nov 2015 02:32:53 +0100

selinux-basics (0.5.3) experimental; urgency=medium

  * Team upload.
  * Drop the selinux-basics initscript, this package is not responsible
    anymore for relabeling the filesystem on boot. Please see new
    policycoreutils (>= 2.4) version. (Closes: #569698, #542907, #796693,
    #727305)
  * check-selinux-installation: Switch to python3
  * debian/compat: Bump compat version to 9
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * selinux-activate: Do not modify the kdm pam service anymore, latest
    version of the kdm package is properly calling pam_selinux already.
  * selinux-activate: Expect selinuxfs to be mounted under /sys/fs/selinux
  * debian/control: Add dh-python to the Build-Depends
  * debian/control: Add ${perl:Depends} to the dependency list
  * debian/control: Add policycoreutils-python-utils to the Recommends

 -- Laurent Bigonville <bigon@debian.org>  Sun, 20 Sep 2015 15:54:34 +0200

selinux-basics (0.5.2) unstable; urgency=low

  [ Mika Pflüger ]
  * Team upload.
  * selinux-policy-upgrade: Support bz2-encrypted binary policy modules.
  * selinux-policy-upgrade: Remove the addition of milter.pp when dkim.pp
    is loaded, it is not necessary anymore.

  [ Laurent Bigonville ]
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical URL for Vcs-Svn field

 -- Laurent Bigonville <bigon@debian.org>  Fri, 20 Sep 2013 15:37:27 +0200

selinux-basics (0.5.1) experimental; urgency=low

  * Team upload.
  * Switch to dpkg-source 3.0 (native) format
  * Switch to dh sequence and dh_python2
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Add ${misc:Depends} to the dependencies
    - Update Vcs-* fields
    - Add X-Python-Version field
    - Put under the Debian SELinux team maintenance
    - Use a Breaks instead of a versionized Conflicts
  * Remove udev rules, legacy ptys are not enabled in the kernel since squeeze
    (Closes: #622563)
  * tests/21_pam.py: Fix detection whether selinux pam module is called from
    login service (Closes: #531660)
  * Fix python 2.6 deprecations in several tests, thanks to Robert Bihlmeyer
    for the patches (Closes: #585354, #654608)
  * Add debian/gbp.conf file
  * tests/21_pam.py: Fix path of the pam service file
  * tests/02_verify_slash_selinux.py: Add support for /sys/fs/selinux
    directory
  * debian/selinux-basics.postinst: Only run update-grub if a configuration
    has been modified
  * selinux-activate: wdm PAM service now contains the required calls to the
    Selinux PAM modules

 -- Laurent Bigonville <bigon@debian.org>  Sat, 15 Dec 2012 13:09:23 +0100

selinux-basics (0.5.0) unstable; urgency=low

  * Support the security=selinux command line option in selinux-activate and
    add it on package upgrade if selinux=1 is being used.

 -- Russell Coker <russell@coker.com.au>  Wed, 25 Jan 2012 19:35:31 +1100

selinux-basics (0.3.8) unstable; urgency=low

  * Made selinux-policy-upgrade load milter.pp when dkim.pp is loaded, needed
    for a clean upgrade from Lenny.

 -- Russell Coker <russell@coker.com.au>  Sun, 23 Jan 2011 14:53:56 +1100

selinux-basics (0.3.7) unstable; urgency=low

  * Made selinux-policy-upgrade remove the obsolete modules procmail and
    tmpreaper.  Also made it conflict with old versions of policy that might
    contain such modules.
    Closes: #584782
  * Use "set -e" instead of "#!/bin/sh -e" on scripts.

 -- Russell Coker <russell@coker.com.au>  Fri, 07 Jan 2011 09:32:22 +1100

selinux-basics (0.3.6) unstable; urgency=low

  * selinux-activate no longer touches /etc/pam.d/login - the default should
    be OK.  Also made it update the configuration of grub2.

 -- Russell Coker <russell@coker.com.au>  Fri, 16 Apr 2010 15:58:52 +1000

selinux-basics (0.3.5+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to install" by calling dh_installdirs in debian/rules,
    otherwise the directory for the symlink is missing (closes: #566576).

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Feb 2010 16:41:47 +0100

selinux-basics (0.3.5+nmu1) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Add $remote_fs as init.d script dependency (Closes: #541765).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 10 Oct 2009 23:00:06 +0200

selinux-basics (0.3.5) unstable; urgency=low

  * Added selinux-config-enforcing to set enforcing mode.
    Closes: #498973
  * Only recommend selinux-policy-default, no other policy.
  * Updated the man pages to refer to each other.

 -- Russell Coker <russell@coker.com.au>  Mon, 15 Sep 2008 11:46:00 +1000

selinux-basics (0.3.4) unstable; urgency=low

  * Take ownership of the package (temporarily at least).
  * Made selinux-activate work on systems without GRUB.
    Closes: #498324
  * Made selinux-policy-upgrade work when there are local modules.
    Closes: #498323

 -- Russell Coker <russell@coker.com.au>  Tue, 09 Sep 2008 17:04:00 +1000

selinux-basics (0.3.3+nmu4) unstable; urgency=high

  * Change "reboot -f" to "reboot" to avoid possible data corruption.

 -- Russell Coker <russell@coker.com.au>  Tue, 05 Aug 2008 06:44:37 +1000

selinux-basics (0.3.3+nmu3) unstable; urgency=low

  * The last version didn't include the selinux-policy-upgrade script

 -- Russell Coker <russell@coker.com.au>  Mon, 04 Aug 2008 13:49:30 +1000

selinux-basics (0.3.3+nmu2) unstable; urgency=high

  * gdm doesn't need pam_selinux.so, but wdm does.
  * Added selinux-policy-upgrade script
  * Added postfix-nochroot script

 -- Russell Coker <russell@coker.com.au>  Mon, 04 Aug 2008 07:20:18 +1000

selinux-basics (0.3.3+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * Added selinux-activate script to handle all aspects of configuring systems
    to run SE Linux.
  * Made /etc/init.d/selinux-basics reboot after performing an autorelabel
    operation, also made it relabel /etc/mtab unconditionally as it often
    gets mislabeled.
  * Added an extra new-line for readability when relabeling.

 -- Russell Coker <russell@coker.com.au>  Fri, 01 Aug 2008 09:31:04 +1000

selinux-basics (0.3.3) unstable; urgency=low

  * Adopted by Ulisses Castro. (Closes: #476192)
  * Update policy version to 3.7.3.
  * Added man page to check-selinux-installation.
  * Added in control file line Build-Depends-Indep, Vcs-Svn and Vcs-Browser.

 -- Ulisses Castro <uss.thebug@gmail.com>  Mon, 28 Apr 2008 20:26:10 -0200

selinux-basics (0.3.2) unstable; urgency=low

  * Orphan this package. Opens: 476192
  * Build package with changes that have been sitting in SVN for a long time
    + MOTD check is gone (Closes: #438604)
  * Update policy version to 3.6.3.0 (No changes)

 -- Erich Schubert <erich@debian.org>  Tue, 15 Apr 2008 02:00:10 +0200

selinux-basics (0.3.1) unstable; urgency=low

  * Fix debian/README - refpolicy has been in Debian for quite some time
    now... (Closes: #387434)

  Since I'm currently not working actively on SELinux, this package might
  need some reviews on which of the tests and workaround are still needed,
  and which other stuff needs to be added.

 -- Erich Schubert <erich@debian.org>  Sun, 15 Jul 2007 15:31:11 +0200

selinux-basics (0.3.0) unstable; urgency=low

  * Rewritten tests in python. Sorry, not as useful yet as before.
  * Small tweaks to init script.
  * Don't start init script on install/upgrade, it's a rcS script.

 -- Erich Schubert <erich@debian.org>  Mon, 11 Sep 2006 18:06:43 +0200

selinux-basics (0.2.6) unstable; urgency=low

  * Make package arch:all, thanks, tbm. (Closes: #357612)

 -- Erich Schubert <erich@debian.org>  Sun, 19 Mar 2006 15:12:06 +0100

selinux-basics (0.2.5) unstable; urgency=low

  * check init.d/sysklogd for xconsole, too.
  * As advised by Md, install only a symlink of the udev rule into
    /etc/udev/rules.d, the actual file lives in /etc/udev now
  * renamed the rule to "no-legacy-ptys", too.
  * Adopted postinst/postrm from eciadsl for that.

 -- Erich Schubert <erich@debian.org>  Fri, 10 Mar 2006 21:14:31 +0100

selinux-basics (0.2.4) unstable; urgency=low

  * To become the first version uploaded to Debian main
  * Added handling for /var/run/motd and suggest FSCKFIX=yes
  * Added xconsole check and suggest removal
  * Move initscript to S 36, just after all filesystems have been mounted
  * Init script will now try to relabel when /.autorelabel was set

 -- Erich Schubert <erich@debian.org>  Fri, 17 Feb 2006 04:19:14 +0100

selinux-basics (0.2.3) unstable; urgency=low

  * Don't remove /dev/xconsole (and don't fail), since it might be
    recreated by sysklogd anyway - relabel it like others

 -- Erich Schubert <erich@debian.org>  Mon, 13 Feb 2006 03:08:39 +0100

selinux-basics (0.2.2) unstable; urgency=low

  * this time, really really install udev and check-selinux

 -- Erich Schubert <erich@debian.org>  Mon, 13 Feb 2006 03:05:44 +0100

selinux-basics (0.2.1) unstable; urgency=low

  * Actually install check-selinux-installation

 -- Erich Schubert <erich@debian.org>  Mon, 13 Feb 2006 02:21:24 +0100

selinux-basics (0.2) unstable; urgency=low

  * Hopefully /var/log/wtmp will no longer be "frequently mislabeled"
    now that the logrotate backports is properly selinux enabled.
  * remove /dev/xconsole on startup, created by syslog
  * added check-selinux-installation
  * added udev rules to not create /dev/pty* (use unix98 /dev/pts)

 -- Erich Schubert <erich@debian.org>  Mon, 13 Feb 2006 00:51:05 +0100

selinux-basics (0.1) unstable; urgency=low

  * Initial Release.

 -- Erich Schubert <erich@debian.org>  Thu,  5 Jan 2006 02:49:45 +0100
